//
//  AppDelegate.swift
//  ChromecastDemo
//
//

import PRESTOplay
import CastlabsApple
import CastlabsChromecast
import UIKit

@main
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    func application(
        _: UIApplication,
        didFinishLaunchingWithOptions _: [UIApplication.LaunchOptionsKey: Any]?)
        -> Bool
    {
        // Override point for customization after application launch.
        // swiftlint: disable line_length
        _ = PRESTOplaySDK.shared.register(
            "LICENSE",
            [
                HLSPlugin(),
                ChromecastPlugin()
            ])
        // swiftlint: enable line_length
        return true
    }
}
